require 'net/http'

module Jackpotrising

  class Client

    ENDPOINT_URL = "http://api-staging.jackpotrising.com"

    def initialize()
    end

    def login(email, password)
      data = { "email": email, "password": password }
      uri = URI("#{ENDPOINT_URL}/users/login/email")

      http = Net::HTTP.new(uri.host, uri.port)

      request = Net::HTTP::Post.new(uri.path, {'Content-Type' =>'application/json'})
      request.body = data.to_json

      response = http.request(request)
      Rails.logger.debug response
      return response
    end

  end

end